import { HookFn, HookInput, HookName, IConfig, IProject, IShell } from '../definitions';
export declare const HOOKS_PKG = "@ionic/cli-hooks";
export declare const ADD_CORDOVA_ENGINE_HOOK: string;
export declare const REMOVE_CORDOVA_ENGINE_HOOK: string;
export interface HookDeps {
    config: IConfig;
    project: IProject;
    shell: IShell;
}
export declare abstract class Hook {
    readonly abstract name: HookName;
    protected readonly config: IConfig;
    protected readonly project: IProject;
    protected readonly shell: IShell;
    readonly script: string;
    constructor({config, project, shell}: HookDeps);
    run(input: HookInput): Promise<void>;
    protected loadHookFn(p: string): Promise<HookFn | undefined>;
}
export declare function addHook(baseDir: string, hooks: string | string[] | undefined, hook: string): string[];
export declare function removeHook(baseDir: string, hooks: string | string[] | undefined, hook: string): string[];
export declare function locateHook(baseDir: string, hooks: string[], hook: string): number;
