"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_1 = require("@ionic/cli-framework/utils/fs");
const guards_1 = require("../../../guards");
exports.ANGULAR_CLI_FILE = '.angular-cli.json';
exports.ERROR_INVALID_ANGULAR_CLI_JSON = 'INVALID_ANGULAR_CLI_JSON';
function readAngularCLIJsonFile(p) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const angularJson = yield fs_1.fsReadJsonFile(p);
        if (!guards_1.isAngularCLIJson(angularJson)) {
            throw exports.ERROR_INVALID_ANGULAR_CLI_JSON;
        }
        return angularJson;
    });
}
exports.readAngularCLIJsonFile = readAngularCLIJsonFile;
