import { InfoItem, ProjectType } from '../../../definitions';
import { BaseProject } from '../';
export declare const ERROR_INVALID_BOWER_JSON = "INVALID_BOWER_JSON";
export interface BowerJson {
    name: string;
    dependencies?: {
        [key: string]: string;
    };
    devDependencies?: {
        [key: string]: string;
    };
}
export declare class Project extends BaseProject {
    type: ProjectType;
    protected bowerJsonFile?: BowerJson;
    getInfo(): Promise<InfoItem[]>;
    detected(): Promise<boolean>;
    getDocsUrl(): Promise<string>;
    getSourceDir(): Promise<string>;
    getFrameworkVersion(): Promise<string | undefined>;
    getV1UtilVersion(): Promise<string | undefined>;
    loadBowerJson(): Promise<BowerJson>;
}
