import { IClient, IConfig, IProject, ISession, IonicEnvironment } from '../definitions';
export declare class SessionDeps {
    readonly config: IConfig;
    readonly client: IClient;
    readonly project?: IProject;
}
export declare class BaseSession {
    protected config: IConfig;
    protected client: IClient;
    protected project?: IProject;
    constructor({config, client, project}: SessionDeps);
    isLoggedIn(): Promise<boolean>;
    logout(): Promise<void>;
    getUser(): Promise<{
        id: number;
    }>;
    getUserToken(): Promise<string>;
}
export declare class ProSession extends BaseSession implements ISession {
    login(email: string, password: string): Promise<void>;
    tokenLogin(token: string): Promise<void>;
}
export declare function promptToLogin(env: IonicEnvironment): Promise<void>;
